# Apply Reagent Labels When Samples are Imported

When importing sample data into Clarity LIMS using a spreadsheet, you can specify the reagent labels to be applied during the import process. To do this, you must include the reagent label names in the spreadsheet, in a column named Sample/Reagent Label.

### Prerequisites

Before you follow the example, make sure that you have the following items:

* Reagent types that are configured in Clarity LIMS and are named index 1 through index 6.
* Reagents of type index 1 through index 6 that have been added to Clarity LIMS.
* A compatible version of API (v2 r14 to v2 r24).

### Code Example <a href="#example" id="example"></a>

The following example spreadsheet would import six samples into the system. These samples are Sample-1 through Sample-6 with reagent labels Index 1 through Index 6:

<table data-header-hidden><thead><tr><th width="145"></th><th width="101"></th><th width="110"></th><th width="108"></th><th width="106"></th><th></th></tr></thead><tbody><tr><td>&#x3C;TABLE HEADER></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td></td><td>Sample/Name</td><td>Container/Type</td><td>Container/Name</td><td>Sample/Well Location</td><td>Sample/Reagent Label</td></tr><tr><td>&#x3C;/TABLE HEADER></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td>&#x3C;SAMPLE ENTRIES></td><td></td><td></td><td></td><td></td><td></td></tr><tr><td></td><td>Sample-1</td><td>96 well plate</td><td>labeled-samples</td><td>A:1</td><td>Index 1</td></tr><tr><td></td><td>Sample-2</td><td>96 well plate</td><td>labeled-samples</td><td>A:2</td><td>Index 2</td></tr><tr><td></td><td>Sample-3</td><td>96 well plate</td><td>labeled-samples</td><td>A:3</td><td>Index 3</td></tr><tr><td></td><td>Sample-4</td><td>96 well plate</td><td>labeled-samples</td><td>A:4</td><td>Index 4</td></tr><tr><td></td><td>Sample-5</td><td>96 well plate</td><td>labeled-samples</td><td>A:5</td><td>Index 5</td></tr><tr><td></td><td>Sample-6</td><td>96 well plate</td><td>labeled-samples</td><td>A:6</td><td>Index 6</td></tr><tr><td>&#x3C;/SAMPLE ENTRIES></td><td></td><td></td><td></td><td></td><td></td></tr></tbody></table>

Although not mandatory, it is recommended that you name reagent labels after reagent types using the Index special type. This allows you to relate the reagent label back to its sequence.

### Verify with the REST API <a href="#verify" id="verify"></a>

If you examine the REST API representation of the samples imported, you are able to verify the following:

* The sample representation shows no indication that reagent labels were applied.
* The sample artifact (the analyte artifact linked from the sample representation) will indicate the label applied via the \<reagent-label> element.

The following example shows how an imported sample artifact (Sample-1), with reagent label name applied (Index 1), appears when verified via the REST API:

```
<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<art:artifact xmlns:udf="http://genologics.com/ri/userdefined"
    xmlns:file="http://genologics.com/ri/file" xmlns:art="http://genologics.com/ri/artifact"
    uri="http://yourIPaddress/api/v2/artifacts/RCY1A97PA1?state=301" limsid="RCY1A97PA1">
    <name>Sample-1</name>
    <type>Analyte</type>
    <output-type>Analyte</output-type>
    <qc-flag>UNKNOWN</qc-flag>
    <location>
        <container uri="http://yourIPaddress/api/v2/containers/27-12" limsid="27-12" />
        <value>A:1</value>
    </location>
    <working-flag>true</working-flag>
    <sample uri="http://yourIPaddress/api/v2/samples/RCY1A97" limsid="RCY1A97" />
    <reagent-label name="Index 1" />
</art:artifact>
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.claritylims.illumina.com/api-and-database/api-docs/cookbook/work-with-multiplexing/apply-reagent-labels-when-samples-are-imported.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
